--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
full_name: SNMP::SNMPv1_Trap::new
is_singleton: true
name: new
params: (enterprise, agent_addr, generic_trap, specific_trap, timestamp, varbind_list)
visibility: public
